DSCEXTRACT(1)

NOM
dscextract - Extraire un seul fichier d'un paquet source Debian

SYNOPSIS
dscextract [options] fichier_dsc fichier

DESCRIPTION
dscextract lit un seul fichier à partir d'un paquet source Debian. L'idée est de regarder seulement les fichiers .diff.gz (format source 1.0) ou .debian.tar.gz/bz2 (format source 3.0) si possible, en évitant ainsi de dépaqueter de grosses archives. C'est particulièrement utile pour les fichiers du sous-répertoire debian/.

fichier est relatif au répertoire de premier niveau contenu dans le paquet, c'est-à-dire une fois enlevé le premier répertoire.

OPTIONS

-f  Mode "rapide". Pour le format source 1.0, éviter de se rabattre sur le balayage du fichier .orig.tar.gz si fichier n'a pas été trouvé dans le .diff.gz (pour les paquets au format source 3.0, debian/* est censé se trouver directement dans .debian.tar.gz/bz2).

VALEURS DE RETOUR

0   fichier a été extrait.

1   fichier n'a pas été trouvé dans le paquet source.

2   Une erreur est survenue, fichier_dsc n'a pas été trouvé par exemple.

EXEMPLE
dscextract dds_2.1.1+ddd105-2.dsc debian/watch || test $? = 1

AUTEUR
dscextract a été écrit par Christoph Berg <myon@debian.org>.

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.